Bug 50205 - Add deployIgnorePaths attribute to StandardHost
Add deployIgnorePaths attribute to StandardHost
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.29
All All
: P2 enhancement (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-11-03 13:19 UTC by Jim Riggs
Modified: 2011-01-18 12:01 UTC (History)
0 users



Attachments
deployIgnorePaths v1 (12.09 KB, patch)
2010-11-03 13:20 UTC, Jim Riggs
Details | Diff
deployIgnorePaths-tc6 v1 (11.93 KB, patch)
2010-11-05 11:10 UTC, Jim Riggs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Riggs 2010-11-03 13:19:50 UTC
The attached patch adds a deployIgnorePaths attribute to StandardHost as I discussed with markt at ApacheConNA.  The attribute is a comma-separated list of regular expressions that will exclude files or directories under appBase from autoDepoy and deployOnStartup.  The host docs have been updated, and JMX get and set have been tested.

Why?  Here are a couple of use cases that this attribute can fix:

- CATALINA_BASE configuration is kept under version control.  For example, I keep all of my configuration in subversion.  This includes appBase which has svn:externals to pull in the application code.  So, appBase/.svn gets deployed.

- A context defined in server.xml but living in appBase will currently get double-deployed.  The recommendation is to move the app outside of appBase, but this attribute would allow it to live there with the instance's other apps.
Comment 1 Jim Riggs 2010-11-03 13:20:27 UTC
Created attachment 26251 [details]
deployIgnorePaths v1
Comment 2 Jim Riggs 2010-11-05 11:10:13 UTC
Created attachment 26258 [details]
deployIgnorePaths-tc6 v1

...and a backport for TC6.
Comment 3 Mark Thomas 2011-01-10 13:10:38 UTC
Fixed in 7.0.x and included in 7.0.6

Proposed for 6.0.x

I used a slightly different patch but it was heavily based on your work. Thanks.
Comment 4 Mark Thomas 2011-01-18 12:01:30 UTC
Fixed in 6.0.x and will be included in 6.0.31 onwards.